Partners in Employment
Employment Course >> Getting Started >> Minimum System Requirements

Reading

Minimum System Requirements


This course is designed to work on both PC and Macintosh systems. Before you begin, make sure your computer meets these minimum requirements:

Computer

Website Browser Requirements

You will need website browser software. You can use:

You should use the latest version of these programs if possible.

Required Software/Plug-ins

To complete Partners in Employment, you will need:

Next: Staying Safe on the Internet >>